<span class="subject">
	<div class="clickable name" data-dojo-attach-point="subjectNameReadOnly" data-dojo-attach-event="onclick:onClickEditSubjectName">{{ subjectData.subject }}</div>
	<div class="hidden name" data-dojo-attach-point="subjectNameEdit">
		<input type="text" value="{{ subjectData.subject }}" data-dojo-attach-point="subjectNameInput"/>
		<img class="clickable icon" src="/class-scheduler/open-iconic/svg/action-undo.svg" alt="Cancel" data-dojo-attach-point="iconCancelSubject" data-dojo-attach-event="onclick:onClickCancelSubject"/>
	</div>
	<div class="rooms">
		{% for roomData in subjectData.rooms %}
			<span class="room">
				<span class="clickable name" data-class-scheduler-room-index="{{ forloop.counter0 }}" data-dojo-attach-event="onclick:onClickEditRoomName">{{ roomData.name }}</span>
				<span class="hidden name">
					<input type="text" value="{{ roomData.name }}"/>
				</span>
				<div class="clickable timeLine" data-class-scheduler-room-index="{{ forloop.counter0 }}" data-dojo-attach-event="onclick:onClickTimeLine">
					{% for block in roomData.timeLine %}
						{% if block.isSpacer %}
							<div class="block spacer" style="height: {{ block.pixels }}px;">
								&nbsp;
							</div>
						{% else %}
							<div class="clickable block class" style="height: {{ block.pixels }}px;" data-class-scheduler-time-block-index="{{ forloop.counter0 }}" data-dojo-attach-event="onclick:onClickClass">
								<div class="container">
									<div class="teacherName">{{ block.teacher }}</div>
									<div class="timeFrame">{{ block.startTime }} to {{ block.endTime }}</div>
								</div>
							</div>
						{% endif %}
					{% endfor %}
				</div>
			</span>
		{% endfor %}
		<span class="clickable addRoom" data-dojo-attach-event="onclick:onClickAddRoom">+</span>
	</div>
</span>
